package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.ObjHazard;

/**
 * 危险源 服务层
 */
public interface IObjHazardService {

    ObjHazard selectObjHazardByGuid(String guid);

    List<ObjHazard> selectObjHazardList(ObjHazard objHazard);

    int insertObjHazard(ObjHazard objHazard);

    int updateObjHazard(ObjHazard objHazard);

    int deleteObjHazardByGuid(String guid);

    int deleteObjHazardByGuids(String[] guids);
}
